using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace ExcelBook
{
    /// <summary>
    /// Defines a template used to create printed pages.
    /// </summary>
    public partial class PageTemplate : UserControl
    {
        /// <summary>
        /// Initializes a new instance of a <see cref="PageTemplate"/>.
        /// </summary>
        public PageTemplate()
        {
            InitializeComponent();
            FooterLeft.Text = DateTime.Today.ToShortDateString();
        }
        /// <summary>
        /// Sets the page margins, in pixels (one pixel is 1/96th of an inch).
        /// </summary>
        /// <param name="margin">Page margins, in pixels.</param>
        public void SetPageMargin(Thickness margin)
        {
            LayoutRoot.RowDefinitions[0].Height = new GridLength(margin.Top);
            LayoutRoot.RowDefinitions[2].Height = new GridLength(margin.Bottom);
            LayoutRoot.ColumnDefinitions[0].Width = new GridLength(margin.Left);
            LayoutRoot.ColumnDefinitions[2].Width = new GridLength(margin.Right);
        }
    }
}
